### Method

# Tracker SparqlConnection query_statement

#### Declaration [src]

    TrackerSparqlStatement*
    tracker_sparql_connection_query_statement (
      TrackerSparqlConnection* connection,
      const gchar* sparql,
      GCancellable* cancellable,
      GError** error
    )

#### Description [src]

Prepares the given `SELECT`/`ASK`/`DESCRIBE`/`CONSTRUCT` SPARQL query as a `TrackerSparqlStatement`.

This prepared statement can be executed through `tracker_sparql_statement_execute()` or `tracker_sparql_statement_serialize_async()` families of functions.

#### Parameters

`sparql`

  Type: `const gchar*`

  The SPARQL query.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

`cancellable`

  Type: `GCancellable`

  Optional `GCancellable`

  The argument can be `NULL`.
  The data is owned by the caller of the method.

`error`

  Type: `GError **`

  The return location for a recoverable error.

  The argument can be `NULL`.
  If the return location is not `NULL`, then you must initialize it to a `NULL` `GError*`.
  The argument will be left initialized to `NULL` by the method if there are no errors.
  In case of error, the argument will be set to a newly allocated `GError`; the caller will take ownership of the data, and be responsible for freeing it.

#### Return value

Type: `TrackerSparqlStatement`

A prepared statement.

The caller of the method takes ownership of the data, and is responsible for freeing it.
The return value can be `NULL`.